Skip to main content
`Ctrl`+`K`

# PEPSetBV

Associates a basis vectors object to the polynomial eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetBV(PEP pep,BV bv)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- bv - the basis vectors object

## Note

Use `PEPGetBV()` to retrieve the basis vectors context (for example, to free it at the end of the computations).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetBV()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages